scripttable.NextLevelTrigger=function()
	TeleportToLevel("level2",1)
end

scripttable.WarnTerminal=function()
	ShowMessage("Teleglitch Spacetime Anomaly\n(initial analysis summary)\n\n"..storytable["Teleglitch Spacetime Anomaly"])
	StatsRegisterStory("Teleglitch Spacetime Anomaly")
end

function scripttable.LevelStart()
	EnableInput()
	EnableHUD()
	ShowPlayer()
	ShowMessage(
[[We were working on a master-teleporter that could transport
you anywhere, to unlimited distances.
But something went wrong. Something came through from the
other side.

First, we thought it was a minor glitch. But it quickly turned 
into a nightmare. The Facility AI became agressive and the military
robots turned on us. The space of the complex started warping - 
rooms and hallways would randomly reorganize themselves as if 
following some twisted pattern.

I decided to seal myself in here and wait for help. I've been hiding 
out here for weeks. But nobody came and I am running out of food. 
My only chance is using the regular teleporters of the facility
to get to the master-teleporter. And then teleport myself back to 
earth.]])


	Wait(0)
	for fadeout=1.1,0,-0.1 do
		SetDarkness(fadeout)
		Wait(0)
	end

end
